# vtkGDCMImageWriter Class Reference

`#include <vtkGDCMImageWriter.h>`

List of all members.

## Public Types
enum | CompressionTypes { NO_COMPRESSION = 0, JPEG_COMPRESSION, JPEG2000_COMPRESSION, JPEGLS_COMPRESSION, RLE_COMPRESSION }
## Public Member Functions
virtual const char * | GetDescriptiveName ()
virtual const char * | GetFileExtensions ()
virtual void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetDirectionCosines (vtkMatrix4x4 *matrix)
virtual void | SetFileNames (vtkStringArray *)
virtual void | SetMedicalImageProperties (vtkMedicalImageProperties *)
| vtkBooleanMacro (FileLowerLeft, int)
| vtkBooleanMacro (LossyFlag, int)
| vtkGetMacro (CompressionType, int)
| vtkGetMacro (PlanarConfiguration, int)
| vtkGetMacro (FileLowerLeft, int)
| vtkGetMacro (ImageFormat, int)
| vtkGetMacro (Scale, double)
| vtkGetMacro (Shift, double)
| vtkGetMacro (LossyFlag, int)
| vtkGetObjectMacro (DirectionCosines, vtkMatrix4x4)
| vtkGetObjectMacro (FileNames, vtkStringArray)
| vtkGetObjectMacro (MedicalImageProperties, vtkMedicalImageProperties)
| vtkGetStringMacro (SeriesUID)
| vtkGetStringMacro (StudyUID)
| vtkSetMacro (CompressionType, int)
| vtkSetMacro (PlanarConfiguration, int)
| vtkSetMacro (FileLowerLeft, int)
| vtkSetMacro (ImageFormat, int)
| vtkSetMacro (Scale, double)
| vtkSetMacro (Shift, double)
| vtkSetMacro (LossyFlag, int)
| vtkSetStringMacro (SeriesUID)
| vtkSetStringMacro (StudyUID)
| vtkTypeRevisionMacro (vtkGDCMImageWriter, vtkImageWriter)
virtual void | Write ()
## Static Public Member Functions
static vtkGDCMImageWriter * | New ()
## Protected Member Functions
| vtkGDCMImageWriter ()
| ~vtkGDCMImageWriter ()
virtual char * | GetFileName ()
int | WriteGDCMData (vtkImageData *data, int timeStep)
void | WriteSlice (vtkImageData *data)

## Member Enumeration Documentation

enum vtkGDCMImageWriter::CompressionTypes

Enumerator:

  NO_COMPRESSION |
  JPEG_COMPRESSION |
  JPEG2000_COMPRESSION |
  JPEGLS_COMPRESSION |
  RLE_COMPRESSION |

## Constructor & Destructor Documentation

vtkGDCMImageWriter::vtkGDCMImageWriter | ( |  | ) | `[protected]`

vtkGDCMImageWriter::~vtkGDCMImageWriter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkGDCMImageWriter::GetDescriptiveName | ( |  | ) | `[inline, virtual]`

virtual const char* vtkGDCMImageWriter::GetFileExtensions | ( |  | ) | `[inline, virtual]`

virtual char* vtkGDCMImageWriter::GetFileName | ( |  | ) | `[protected, virtual]`

static vtkGDCMImageWriter* vtkGDCMImageWriter::New | ( |  | ) | `[static]`

virtual void vtkGDCMImageWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent |
| ) |  |  | `[virtual]`

virtual void vtkGDCMImageWriter::SetDirectionCosines | ( | vtkMatrix4x4 * | matrix | ) | `[virtual]`

virtual void vtkGDCMImageWriter::SetFileNames | ( | vtkStringArray * |  | ) | `[virtual]`

virtual void vtkGDCMImageWriter::SetMedicalImageProperties | ( | vtkMedicalImageProperties * |  | ) | `[virtual]`

vtkGDCMImageWriter::vtkBooleanMacro | ( | FileLowerLeft | ,
|  | int |  |
| ) |  |  |

vtkGDCMImageWriter::vtkBooleanMacro | ( | LossyFlag | ,
|  | int |  |
| ) |  |  |

vtkGDCMImageWriter::vtkGetMacro | ( | CompressionType | ,
|  | int |  |
| ) |  |  |

vtkGDCMImageWriter::vtkGetMacro | ( | PlanarConfiguration | ,
|  | int |  |
| ) |  |  |

vtkGDCMImageWriter::vtkGetMacro | ( | FileLowerLeft | ,
|  | int |  |
| ) |  |  |

vtkGDCMImageWriter::vtkGetMacro | ( | ImageFormat | ,
|  | int |  |
| ) |  |  |

vtkGDCMImageWriter::vtkGetMacro | ( | Scale | ,
|  | double |  |
| ) |  |  |

vtkGDCMImageWriter::vtkGetMacro | ( | Shift | ,
|  | double |  |
| ) |  |  |

vtkGDCMImageWriter::vtkGetMacro | ( | LossyFlag | ,
|  | int |  |
| ) |  |  |

vtkGDCMImageWriter::vtkGetObjectMacro | ( | DirectionCosines | ,
|  | vtkMatrix4x4 |  |
| ) |  |  |

vtkGDCMImageWriter::vtkGetObjectMacro | ( | FileNames | ,
|  | vtkStringArray |  |
| ) |  |  |

vtkGDCMImageWriter::vtkGetObjectMacro | ( | MedicalImageProperties | ,
|  | vtkMedicalImageProperties |  |
| ) |  |  |

vtkGDCMImageWriter::vtkGetStringMacro | ( | SeriesUID |  | ) |

vtkGDCMImageWriter::vtkGetStringMacro | ( | StudyUID |  | ) |

vtkGDCMImageWriter::vtkSetMacro | ( | CompressionType | ,
|  | int |  |
| ) |  |  |

vtkGDCMImageWriter::vtkSetMacro | ( | PlanarConfiguration | ,
|  | int |  |
| ) |  |  |

vtkGDCMImageWriter::vtkSetMacro | ( | FileLowerLeft | ,
|  | int |  |
| ) |  |  |

vtkGDCMImageWriter::vtkSetMacro | ( | ImageFormat | ,
|  | int |  |
| ) |  |  |

vtkGDCMImageWriter::vtkSetMacro | ( | Scale | ,
|  | double |  |
| ) |  |  |

vtkGDCMImageWriter::vtkSetMacro | ( | Shift | ,
|  | double |  |
| ) |  |  |

vtkGDCMImageWriter::vtkSetMacro | ( | LossyFlag | ,
|  | int |  |
| ) |  |  |

vtkGDCMImageWriter::vtkSetStringMacro | ( | SeriesUID |  | ) |

vtkGDCMImageWriter::vtkSetStringMacro | ( | StudyUID |  | ) |

vtkGDCMImageWriter::vtkTypeRevisionMacro | ( | vtkGDCMImageWriter | ,
|  | vtkImageWriter |  |
| ) |  |  |

virtual void vtkGDCMImageWriter::Write | ( |  | ) | `[virtual]`

int vtkGDCMImageWriter::WriteGDCMData | ( | vtkImageData * | data,
|  | int | timeStep |
| ) |  |  | `[protected]`

void vtkGDCMImageWriter::WriteSlice | ( | vtkImageData * | data | ) | `[protected]`

The documentation for this class was generated from the following file:

- vtkGDCMImageWriter.h